<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="d84bfdae-de24-47f8-b400-77613cf11fb4" name="Default Changelist" comment="">
      <change beforePath="$PROJECT_DIR$/../../basedd/tp/symfony/S2B2_Goncalves" beforeDir="false" afterPath="$PROJECT_DIR$/../../basedd/tp/symfony/S2B2_Goncalves" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../../basedd/tp/symfony/TP1_symf" beforeDir="false" afterPath="$PROJECT_DIR$/../../basedd/tp/symfony/TP1_symf" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../projet/kamisado.iml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../projet/out/production/kamisado/META-INF/kamisado.kotlin_module" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../projet/out/production/kamisado/kamisado/App$1.class" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../projet/out/production/kamisado/kamisado/App.class" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../projet/out/production/kamisado/kamisado/controller/ButtonController.class" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../projet/out/production/kamisado/kamisado/controller/GameController.class" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../projet/out/production/kamisado/kamisado/controller/PlayerController.class" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../projet/out/production/kamisado/kamisado/model/Board.class" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../projet/out/production/kamisado/kamisado/model/ColorEnum.class" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../projet/out/production/kamisado/kamisado/model/Game.class" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../projet/out/production/kamisado/kamisado/model/Player.class" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../projet/out/production/kamisado/kamisado/ui/BoardUi.class" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../projet/out/production/kamisado/kamisado/ui/CellUi.class" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../projet/out/production/kamisado/kamisado/ui/GameUi.class" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../projet/out/production/kamisado/kamisado/ui/MenuUi.class" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../projet/out/production/kamisado/kamisado/ui/resources/images/blue_black.png" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../projet/out/production/kamisado/kamisado/ui/resources/images/blue_white.png" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../projet/out/production/kamisado/kamisado/ui/resources/images/brown_black.png" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../projet/out/production/kamisado/kamisado/ui/resources/images/brown_white.png" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../projet/out/production/kamisado/kamisado/ui/resources/images/green_black.png" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../projet/out/production/kamisado/kamisado/ui/resources/images/green_white.png" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../projet/out/production/kamisado/kamisado/ui/resources/images/orange_black.png" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../projet/out/production/kamisado/kamisado/ui/resources/images/orange_white.png" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../projet/out/production/kamisado/kamisado/ui/resources/images/pink_black.png" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../projet/out/production/kamisado/kamisado/ui/resources/images/pink_white.png" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../projet/out/production/kamisado/kamisado/ui/resources/images/playable_black.png" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../projet/out/production/kamisado/kamisado/ui/resources/images/playable_cell.png" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../projet/out/production/kamisado/kamisado/ui/resources/images/playable_white.png" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../projet/out/production/kamisado/kamisado/ui/resources/images/purple_black.png" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../projet/out/production/kamisado/kamisado/ui/resources/images/purple_white.png" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../projet/out/production/kamisado/kamisado/ui/resources/images/red_black.png" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../projet/out/production/kamisado/kamisado/ui/resources/images/red_white.png" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../projet/out/production/kamisado/kamisado/ui/resources/images/yellow_black.png" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../projet/out/production/kamisado/kamisado/ui/resources/images/yellow_white.png" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../projet/projet.pdf" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../projet/src/kamisado/App.java" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../projet/src/kamisado/controller/ButtonController.java" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../projet/src/kamisado/controller/GameController.java" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../projet/src/kamisado/controller/PlayerController.java" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../projet/src/kamisado/model/Board.java" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../projet/src/kamisado/model/ColorEnum.java" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../projet/src/kamisado/model/Game.java" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../projet/src/kamisado/model/Player.java" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../projet/src/kamisado/ui/BoardUi.java" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../projet/src/kamisado/ui/CellUi.java" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../projet/src/kamisado/ui/GameUi.java" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../projet/src/kamisado/ui/MenuUi.java" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../projet/src/kamisado/ui/resources/images/blue_black.png" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../projet/src/kamisado/ui/resources/images/blue_white.png" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../projet/src/kamisado/ui/resources/images/brown_black.png" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../projet/src/kamisado/ui/resources/images/brown_white.png" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../projet/src/kamisado/ui/resources/images/green_black.png" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../projet/src/kamisado/ui/resources/images/green_white.png" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../projet/src/kamisado/ui/resources/images/orange_black.png" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../projet/src/kamisado/ui/resources/images/orange_white.png" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../projet/src/kamisado/ui/resources/images/pink_black.png" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../projet/src/kamisado/ui/resources/images/pink_white.png" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../projet/src/kamisado/ui/resources/images/playable_black.png" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../projet/src/kamisado/ui/resources/images/playable_cell.png" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../projet/src/kamisado/ui/resources/images/playable_white.png" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../projet/src/kamisado/ui/resources/images/purple_black.png" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../projet/src/kamisado/ui/resources/images/purple_white.png" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../projet/src/kamisado/ui/resources/images/red_black.png" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../projet/src/kamisado/ui/resources/images/red_white.png" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../projet/src/kamisado/ui/resources/images/yellow_black.png" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../projet/src/kamisado/ui/resources/images/yellow_white.png" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/vcs.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/vcs.xml" afterDir="false" />
    </list>
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$/../.." />
  </component>
  <component name="ProjectId" id="1btKO0XyIi8EEGzFggQD5CjLqtN" />
  <component name="ProjectLevelVcsManager" settingsEditedManually="true">
    <ConfirmationsSetting value="2" id="Add" />
  </component>
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">
    <property name="ASKED_ADD_EXTERNAL_FILES" value="true" />
    <property name="RunOnceActivity.OpenProjectViewOnStart" value="true" />
    <property name="RunOnceActivity.ShowReadmeOnStart" value="true" />
    <property name="SHARE_PROJECT_CONFIGURATION_FILES" value="true" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="aspect.path.notification.shown" value="true" />
    <property name="extract.method.default.visibility" value="private" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$" />
    <property name="project.structure.last.edited" value="Modules" />
    <property name="project.structure.proportion" value="0.0" />
    <property name="project.structure.side.proportion" value="0.0" />
    <property name="settings.editor.selected.configurable" value="preferences.lookFeel" />
  </component>
  <component name="RecentsManager">
    <key name="MoveFile.RECENT_KEYS">
      <recent name="$PROJECT_DIR$/out/production/kamisado/kamisado/ui" />
      <recent name="$PROJECT_DIR$/src/kamisado/resources/images" />
      <recent name="$PROJECT_DIR$/src/kamisado/resources" />
    </key>
  </component>
  <component name="RunManager">
    <configuration default="true" type="Application" factoryName="Application">
      <option name="MAIN_CLASS_NAME" value="Kamisado.App" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="kamisado.App" type="Application" factoryName="Application">
      <option name="MAIN_CLASS_NAME" value="kamisado.App" />
      <module name="kamisado" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="d84bfdae-de24-47f8-b400-77613cf11fb4" name="Default Changelist" comment="" />
      <created>1589445913763</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1589445913763</updated>
      <workItem from="1589445917558" duration="43220000" />
      <workItem from="1589529449476" duration="36122000" />
      <workItem from="1589989400267" duration="1580000" />
      <workItem from="1590050390251" duration="479000" />
      <workItem from="1590050977604" duration="14060000" />
      <workItem from="1590348897911" duration="3253000" />
      <workItem from="1590397100831" duration="2316000" />
      <workItem from="1590479966392" duration="274000" />
      <workItem from="1590505995299" duration="57000" />
    </task>
    <servers />
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="2" />
  </component>
  <component name="VcsManagerConfiguration">
    <option name="ADD_EXTERNAL_FILES_SILENTLY" value="true" />
  </component>
  <component name="WindowStateProjectService">
    <state x="2360" y="98" width="1030" height="837" key="#Project_Structure" timestamp="1589446727621">
      <screen x="1920" y="0" width="1920" height="1080" />
    </state>
    <state x="2360" y="98" width="1030" height="837" key="#Project_Structure/1920.0.1920.1080/0.0.1920.1080@1920.0.1920.1080" timestamp="1589446727621" />
    <state x="840" y="270" key="#com.intellij.execution.impl.EditConfigurationsDialog" timestamp="1590506051442">
      <screen x="0" y="0" width="1920" height="1080" />
    </state>
    <state x="840" y="270" key="#com.intellij.execution.impl.EditConfigurationsDialog/1920.0.1080.1920/0.0.1920.1080@1920.0.1080.1920" timestamp="1590506051442" />
    <state x="1942" y="161" key="#com.intellij.execution.impl.EditConfigurationsDialog/1920.0.1920.1080/0.0.1920.1080@1920.0.1920.1080" timestamp="1589461542045" />
    <state x="2086" y="542" width="531" height="406" key="#com.intellij.ide.util.TreeClassChooserDialog" timestamp="1590506049407">
      <screen x="1920" y="0" width="1080" height="1920" />
    </state>
    <state x="2086" y="542" key="#com.intellij.ide.util.TreeClassChooserDialog/1920.0.1080.1920/0.0.1920.1080@1920.0.1080.1920" timestamp="1590506049407" />
    <state x="2218" y="314" width="531" height="406" key="#com.intellij.ide.util.TreeClassChooserDialog/1920.0.1920.1080/0.0.1920.1080@1920.0.1920.1080" timestamp="1589446601076" />
    <state x="2644" y="367" width="462" height="299" key="#com.intellij.refactoring.move.moveInstanceMethod.MoveInstanceMethodDialog" timestamp="1589536455861">
      <screen x="1920" y="0" width="1920" height="1080" />
    </state>
    <state x="2644" y="367" width="462" height="299" key="#com.intellij.refactoring.move.moveInstanceMethod.MoveInstanceMethodDialog/1920.0.1920.1080/0.0.1920.1080@1920.0.1920.1080" timestamp="1589536455861" />
    <state x="2014" y="-123" width="366" height="1776" key="#com.intellij.refactoring.rename.AutomaticRenamingDialog" timestamp="1590412214515">
      <screen x="1920" y="0" width="1080" height="1920" />
    </state>
    <state x="2014" y="-123" width="366" height="1776" key="#com.intellij.refactoring.rename.AutomaticRenamingDialog/1920.0.1080.1920/0.0.1920.1080@1920.0.1080.1920" timestamp="1590412214515" />
    <state x="2105" y="-24" width="570" height="999" key="#com.intellij.refactoring.rename.AutomaticRenamingDialog/1920.0.1920.1080/0.0.1920.1080@1920.0.1920.1080" timestamp="1589491238171" />
    <state x="2606" y="236" width="530" height="490" key="#com.intellij.refactoring.safeDelete.UnsafeUsagesDialog" timestamp="1589489540516">
      <screen x="1920" y="0" width="1920" height="1080" />
    </state>
    <state x="2606" y="236" width="530" height="490" key="#com.intellij.refactoring.safeDelete.UnsafeUsagesDialog/1920.0.1920.1080/0.0.1920.1080@1920.0.1920.1080" timestamp="1589489540516" />
    <state x="2232" y="132" width="398" height="847" key="FileChooserDialogImpl" timestamp="1590480233816">
      <screen x="1920" y="0" width="1080" height="1920" />
    </state>
    <state x="2232" y="132" width="398" height="847" key="FileChooserDialogImpl/1920.0.1080.1920/0.0.1920.1080@1920.0.1080.1920" timestamp="1590480233816" />
    <state x="2479" y="83" width="430" height="476" key="FileChooserDialogImpl/1920.0.1920.1080/0.0.1920.1080@1920.0.1920.1080" timestamp="1589448651627" />
    <state width="1036" height="79" key="GridCell.Tab.0.bottom" timestamp="1590417222739">
      <screen x="1920" y="0" width="1080" height="1920" />
    </state>
    <state width="1036" height="79" key="GridCell.Tab.0.bottom/1920.0.1080.1920/0.0.1920.1080@1920.0.1080.1920" timestamp="1590417222739" />
    <state width="1858" height="353" key="GridCell.Tab.0.bottom/1920.0.1920.1080/0.0.1920.1080@1920.0.1920.1080" timestamp="1589629085183" />
    <state width="1036" height="79" key="GridCell.Tab.0.center" timestamp="1590417222739">
      <screen x="1920" y="0" width="1080" height="1920" />
    </state>
    <state width="1036" height="79" key="GridCell.Tab.0.center/1920.0.1080.1920/0.0.1920.1080@1920.0.1080.1920" timestamp="1590417222739" />
    <state width="1858" height="353" key="GridCell.Tab.0.center/1920.0.1920.1080/0.0.1920.1080@1920.0.1920.1080" timestamp="1589629085183" />
    <state width="1036" height="79" key="GridCell.Tab.0.left" timestamp="1590417222739">
      <screen x="1920" y="0" width="1080" height="1920" />
    </state>
    <state width="1036" height="79" key="GridCell.Tab.0.left/1920.0.1080.1920/0.0.1920.1080@1920.0.1080.1920" timestamp="1590417222739" />
    <state width="1858" height="353" key="GridCell.Tab.0.left/1920.0.1920.1080/0.0.1920.1080@1920.0.1920.1080" timestamp="1589629085183" />
    <state width="1036" height="79" key="GridCell.Tab.0.right" timestamp="1590417222739">
      <screen x="1920" y="0" width="1080" height="1920" />
    </state>
    <state width="1036" height="79" key="GridCell.Tab.0.right/1920.0.1080.1920/0.0.1920.1080@1920.0.1080.1920" timestamp="1590417222739" />
    <state width="1858" height="353" key="GridCell.Tab.0.right/1920.0.1920.1080/0.0.1920.1080@1920.0.1920.1080" timestamp="1589629085183" />
    <state width="1858" height="353" key="GridCell.Tab.1.bottom" timestamp="1589629085183">
      <screen x="1920" y="0" width="1920" height="1080" />
    </state>
    <state width="1858" height="353" key="GridCell.Tab.1.bottom/1920.0.1920.1080/0.0.1920.1080@1920.0.1920.1080" timestamp="1589629085183" />
    <state width="1858" height="353" key="GridCell.Tab.1.center" timestamp="1589629085183">
      <screen x="1920" y="0" width="1920" height="1080" />
    </state>
    <state width="1858" height="353" key="GridCell.Tab.1.center/1920.0.1920.1080/0.0.1920.1080@1920.0.1920.1080" timestamp="1589629085183" />
    <state width="1858" height="353" key="GridCell.Tab.1.left" timestamp="1589629085183">
      <screen x="1920" y="0" width="1920" height="1080" />
    </state>
    <state width="1858" height="353" key="GridCell.Tab.1.left/1920.0.1920.1080/0.0.1920.1080@1920.0.1920.1080" timestamp="1589629085183" />
    <state width="1858" height="353" key="GridCell.Tab.1.right" timestamp="1589629085183">
      <screen x="1920" y="0" width="1920" height="1080" />
    </state>
    <state width="1858" height="353" key="GridCell.Tab.1.right/1920.0.1920.1080/0.0.1920.1080@1920.0.1920.1080" timestamp="1589629085183" />
    <state x="2654" y="228" width="441" height="578" key="RollbackChangesDialog" timestamp="1589486061654">
      <screen x="1920" y="0" width="1920" height="1080" />
    </state>
    <state x="2654" y="228" width="441" height="578" key="RollbackChangesDialog/1920.0.1920.1080/0.0.1920.1080@1920.0.1920.1080" timestamp="1589486061654" />
    <state x="2024" y="811" width="904" height="718" key="SettingsEditor" timestamp="1590088582063">
      <screen x="1920" y="0" width="1080" height="1920" />
    </state>
    <state x="2024" y="811" width="904" height="718" key="SettingsEditor/1920.0.1080.1920/0.0.1920.1080@1920.0.1080.1920" timestamp="1590088582063" />
    <state x="2200" y="73" width="1509" height="836" key="SettingsEditor/1920.0.1920.1080/0.0.1920.1080@1920.0.1920.1080" timestamp="1589540128074" />
    <state x="2051" y="235" width="428" height="1080" key="com.intellij.openapi.editor.actions.MultiplePasteAction$ClipboardContentChooser" timestamp="1590059958486">
      <screen x="1920" y="0" width="1080" height="1920" />
    </state>
    <state x="2051" y="235" width="428" height="1080" key="com.intellij.openapi.editor.actions.MultiplePasteAction$ClipboardContentChooser/1920.0.1080.1920/0.0.1920.1080@1920.0.1080.1920" timestamp="1590059958486" />
    <state x="2156" y="141" width="465" height="607" key="com.intellij.openapi.editor.actions.MultiplePasteAction$ClipboardContentChooser/1920.0.1920.1080/0.0.1920.1080@1920.0.1920.1080" timestamp="1589576438958" />
    <state x="2489" y="321" width="530" height="449" key="extract.method.dialog" timestamp="1589536485673">
      <screen x="1920" y="0" width="1920" height="1080" />
    </state>
    <state x="2489" y="321" width="530" height="449" key="extract.method.dialog/1920.0.1920.1080/0.0.1920.1080@1920.0.1920.1080" timestamp="1589536485673" />
    <state x="2577" y="274" width="595" height="486" key="refactoring.ChangeSignatureDialog" timestamp="1589488292791">
      <screen x="1920" y="0" width="1920" height="1080" />
    </state>
    <state x="2577" y="274" width="595" height="486" key="refactoring.ChangeSignatureDialog/1920.0.1920.1080/0.0.1920.1080@1920.0.1920.1080" timestamp="1589488292791" />
    <state x="2542" y="249" key="run.anything.popup" timestamp="1589481309996">
      <screen x="1920" y="0" width="1920" height="1080" />
    </state>
    <state x="2542" y="249" key="run.anything.popup/1920.0.1920.1080/0.0.1920.1080@1920.0.1920.1080" timestamp="1589481309996" />
    <state x="2543" y="243" width="672" height="678" key="search.everywhere.popup" timestamp="1589540700677">
      <screen x="1920" y="0" width="1920" height="1080" />
    </state>
    <state x="2543" y="243" width="672" height="678" key="search.everywhere.popup/1920.0.1920.1080/0.0.1920.1080@1920.0.1920.1080" timestamp="1589540700677" />
  </component>
</project>